# WP Legal Pages: Simple WordPress Privacy Policy Generator Plugin #
**Contributors:** [sandyr](https://profiles.wordpress.org/sandyr), [WPEka Club](https://profiles.wordpress.org/WPEka Club)  
**Donate link:** https://club.wpeka.com/product/wplegalpages  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  
**Tags:** Privacy Policy Generator, GDPR  
**Requires at least:** 5.0+  
**Requires PHP:** 5.0  
**Tested up to:** 5.3  
**Stable tag:** 2.3.0  

Generate privacy policy pages on your website in a few clicks. Launch your WordPress website fast.

## Description ##

Need help generating privacy policy pages on your WordPress website?

WP Legal Pages is one of the most popular privacy policy generator plugins since 2014. It is a favorite tool of 10,000+ WordPress users from bloggers, affiliate marketers to ecommerce stores.

Using WP Legal Pages, you can generate two privacy policy pages required for any website.

- Privacy Policy
- DMCA Policy

[youtube https://www.youtube.com/watch?v=iqdLl9qsBHc]

## WP Legal Pages: Simple WordPress Privacy Policy Generator Plugin ##

WP Legal Pages makes it super easy to generate policy pages for your WordPress website.

1. Add your business information.
1. Select a legal policy page template.
1. Click 'Generate'.

## Why WP Legal Pages? ##

### Easy to install ###
Install and add legal policy pages to your website in 5 minutes of less.

### Easy to edit policy pages ###
Generates policy pages are regular WordPress pages. You can easily edit and update them.

### 25+ pre-built policy templates (Premium Feature) ###
WP Legal Pages comes with ready-to-use policy page templates. Fill in your business information and hit generate.

### Option to force agreement (Premium Feature) ###
Force users to accept your policy before they can access a page or post. Available in [Pro Version](http://bit.ly/32oibEf) only.

### One-click affiliate disclosure addition (Premium Feature) ###
Confirm with FTC guidelines. Add affiliate disclosure to the end of a page or post. Available in [Pro Version](http://bit.ly/32tEf0d) only.

## More Premium features ##
[WP Legal Pages Pro](http://bit.ly/32n3Qrq) comes with even more legal policy pages including:

- Privacy Policy**: Covers websites or apps that collect and store user data. Helps comply with GDPR.
- Cookie Policy**: Covers websites and apps that collect and store user data in browser cookies. Helps comply with GDPR.
- Cookie Consent Popups**: Works with GDPR Cookie Consent
- Cookie Bar**: Add banner in the footer for Cookie consent, also you can customize the cookie bar style, content and button styles.
- Amazon Affiliate Disclosure**: Covers websites and apps that engage in affiliate promotion of Amazon products.
- Affiliate Agreement**: Covers websites and apps that run affiliate programs.
- Affiliate Disclosure**: Covers websites and apps that engage in affiliate promotion of products and/or services.
- Terms and Conditions**: Covers the terms and conditions for using a website.
- California Privacy Rights**: Covers websites and apps that sell to California customers.
- Refund Policy**: Covers refunds of sales of products and services for ecommerce stores.
- Newsletter Subscription Policy**: Covers websites and apps that run newsletter subscriptions.
- Children’s Online Privacy Policy (COPPA)**: Covers websites and apps whose audience is children (< 13 years age)
- Medical Disclaimer Template**: Covers websites and apps that provide free medical information - such as healthcare providers or blogs providing medical advice.
- External Links Policy**: Covers policies for links to or from external websites, which are not owned or controlled by you.
- Returns & Refunds Policy**: Covers returns/refunds of your product, service or ecommerce store.
- Digital Goods Refunds Policy**: Covers refunds for downloadable or streaming products/services.
- Facebook Privacy Policy**: For Facebook ads, app developers, and for using Facebook login or widgets on your website.
- Earnings Disclaimer**: Covers websites and apps that promote products, services, strategies and/or programs to help users make money.
- Anti Spam Policy**: Covers websites & apps that provide mass email or other messaging services.
- Age Verification**: Useful for vaping or adult content websites. Allows only 18+ aged users to access website content after taking consent.

Learn more about [WP Legal Pages Pro](http://bit.ly/32n3Qrq).

## Installation ##

### From within WordPress ###

1. Visit 'Plugins > Add New'.
1. Search for 'WP Legal Pages'.
1. Activate WP Legal Pages from your Plugins page.
1. Click on the 'WP Legal Pages' admin menu to get started.

### Manually ###

1. Upload the `wp-legal-pages` folder to the `/wp-content/plugins/` directory.
1. Activate the WP Legal Pages plugin through the 'Plugins' menu in WordPress.
1. WP Legal Pages menu will appear in left hand side. Click on it & get started to use.
1. Click on the 'WP Legal Pages' admin menu to get started.

## Screenshots ##
1. general settings page.png
2. legal templates.png
3. adding legal page as popup.png
4. affiliate disclosure.png

## Frequently Asked Questions ##

### Why use WPLegalPages? ###
GDPR, FTC and other privacy regulators along with ad networks require you to have legal policy pages on your website. Instead of spending hours researching and creating your own policy pages, use WP Legal Pages to generate them in a few clicks.

### How to use WPLegalPages? ###
1. Click on the 'WP Legal Pages' admin menu.
1. Accept the disclaimer.
1. Fill in business details.
1. Click create legal pages >> Select the type of legal template >> Publish.
1. You can also use shortcodes of each template and save it as a post or page.

### Will it protect my website? ###
WP Legal Pages provides you pre-approved templates. Please consult your lawyer for compliance with your local law regulators.

### Can it be used for multisite network? ###
No. WP Legal Pages not support multisite network. You will have to install it on each site separately.

## Changelog ##
### 2.3.0 ###
Update: Updated template HTML structure.
Update: Code updated as per WordPress standards.

### 2.2.9 ###
Fix: Pro integration issue.

### 2.2.8 ###
Fix: Minification issue.

### 2.2.7 ###
Fix: Filter for Legal template count.

### 2.2.6 ###
Integration of WPLegalPages Pro version.

### 2.2.5 ###
Fixed issue with filter for Legal Pages rendering

### 2.2.4 ###
Improved design of Admin screens.
Compatibility with WordPress 5.2.2

### 2.2.3 ###
Updated Admin menu for WPLegalPages Cookies.
Made compatible with WordPress 5.2.1

### 2.2.2 ###
Made compatible with WPLegalPages Cookie Consent Addon.
Fixed broken links.

### 2.2.1 ###
Compatible with WordPress 5.1.1

### 2.2 ###
Admin panel UI improvement
Template not updated after activation of the plugin

### 2.1 ###
Updated EU cookie template and Privacy policy template to remain compliant with upcoming changes to the EU data protection law

###2.0.6 ###
Minor dashboard changes.

### 2.0.5 ###
Fixed conflict issues.

### 2.0.4 ###
Minor changes in dashboard.
Fixed issues related to shortcode rendering.

### 2.0.3 ###
Tested upto WordPress version 4.8.

### 2.0.2 ###
Added subscription form.

### 2.0.1 ###
Change tags.

### 1.5.9 ###
Made Compatible with WordPress 4.7.1
Code Cleanup

### 1.5.8 ###
Fix give credit option issue.

### 1.5.6 ###
Fix for css/js load to prevent conflict with other plugins.

### 1.5.5 ###
Rewrite Plugin.

### 1.5.4 ###
Added EU Cookies Policy.

### 1.5.3 ###
Added Give Credit option.

### 1.5.2 ###
Compatible with PHP 7.0.

### 1.5.1 ###
Added lest of Pro templates

### 1.5 ###
Added new DMCA template

### 1.4 ###
Updated for Compatibility with WP 4.5.3. Improved Admin Dashboard for easy creation of policy pages

### 1.3 ###
*WPLegal Pages is now compatible WordPress 4.5.

### 1.2 ###
*Added banner to upgrade WPLegal Pages Pro version on plugin dashboard

### 1.1 ###
*Enhanced security

### 1.0.0 ###
Base version of the plugin.

## What Next? ##

If you like this plugin, then consider checking out our other projects:

- [GDPR Cookie Consent](https://club.wpeka.com/product/wp-gdpr-cookie-consent/?utm_source=wporg&utm_medium=wp-legal-pages&utm_campaign=link&utm_content=gdpr-cookie-consent) - ICO Compliant GDPR Cookie Consent Plugin

- [WP Local Plus](https://club.wpeka.com/product/wp-local-plus/?utm_source=wporg&utm_medium=wp-legal-pages&utm_campaign=link&utm_content=wp-local-plus) - WordPress Business Directory Plugin

- [Woo Auction Software](https://club.wpeka.com/product/woo-auction-software/?utm_source=wporg&utm_medium=wp-legal-pages&utm_campaign=link&utm_content=woo-auction-software) - Host eBay like auctions on your WooCommerce website

- [Survey Funnel](https://club.wpeka.com/product/survey-funnel/?utm_source=wporg&utm_medium=wp-legal-pages&utm_campaign=link&utm_content=survey-funnel) - Generate leads on your WordPress website with targeted opt-in offers and surveys

- [WP Raffle](https://club.wpeka.com/product/wp-raffle/?utm_source=wporg&utm_medium=wp-legal-pages&utm_campaign=link&utm_content=survey-funnel) - Run giveaways and contests on your WordPress website

## Official Site ##
For more information and to take a look at the advanced WP Legal Pages version, visit our website - <a href="http://wplegalpages.com/?utm_source=wporg&utm_campaign=wplegalpages&utm_content=wp-legal-pages-version">WP Legal Pages version</a>.
